<template>
  <v-app dark>
    <v-main class="pa-0 ma-0">
      <v-container fluid class="mt-140 pr-12 pl-12">
        <v-row class="pt-12" align="center" justify="center">
          <v-col cols="12" md="7" class="text-center mx-auto">
            <div>
              <v-img :src="require('../assets/images/404.svg')" contain></v-img>
            </div>
            <div class="text-center mx-auto home-description">
              <h1 v-if="error.statusCode === 404" class="allh1-headline">
                {{ pageNotFound }}
              </h1>
              <h1 v-else-if="error.statusCode === 500" class="allh1-headline">
                {{ $t('otherError') }}
              </h1>
              <h1 v-else>{{ otherError }}</h1>

              <v-btn
                :to="localePath('/')"
                nuxt
                text
                x-large
                color="blue-grey"
                class="ma-2 white--text"
                @click="loader = 'loading3'"
              >
                {{ $t('backHome') }}
                <v-icon right dark>mdi-home</v-icon>
              </v-btn>
            </div>
          </v-col>
        </v-row>
      </v-container>
    </v-main>
  </v-app>
</template>

<script>
export default {
  layout: 'empty',
  props: {
    error: {
      type: Object,
      default: null,
    },
  },
  data() {
    return {
      pageNotFound: this.$i18n.t('pageNotFound'),
      otherError: this.$i18n.t('otherError'),
    };
  },
  head() {
    const title =
      this.error.statusCode === 404 ? this.pageNotFound : this.otherError;
    return {
      title,
    };
  },
};
</script>
